package com.rjconsultores.ventaboletos.web.utilerias.menu.item.esquemaoperacional;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuConfRestricaoCanalVenta extends DefaultItemMenuSistema {

	public ItemMenuConfRestricaoCanalVenta() {
		super("indexController.mniConfRestricaoCanalVenta.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.ESQUEMAOPERACIONAL.MENU.CONFRESTRICAOCANALVENTA";
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/esquema_operacional/busquedaConfRestricaoCanalVenta.zul",
				Labels.getLabel("confRestricaoCanalVentaController.window.title"), getArgs() ,desktop);
	}
}
